Parser

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.mathematicalexpression
Class Parser

    java.lang.Object
      weka.core.parser.java_cup.runtime.lr_parser
          weka.core.mathematicalexpression.Parser

    public class Parser

extends lr_parser

CUP v0.11a beta 20060608 generated parser.

Version:
  Thu May 15 13:13:25 NZST 2008

Field Summary

Fields inherited from class weka.core.parser.java_cup.runtime.lr_parser
`symbolFactory`

Constructor Summary
`Parser()` Default constructor.
`Parser(Scanner s)` Constructor which sets the default scanner.
`Parser(Scanner s, SymbolFactory sf)` Constructor which sets the default scanner.

Method Summary
`short[][]` | `action_table()` Access to parse-action table.
`Symbol` | `do_action(int act_num, lr_parser parser, java.util.Stack stack, int top)` Invoke a user supplied parse action.
`int` | `EOF_sym()` `EOF` Symbol index.
`int` | `error_sym()` `error` Symbol index.
`java.lang.Double` | `getResult()` Returns the result of the evaluation.
`java.util.HashMap` | `getSymbols()` Returns the current variable - value relation in use.
`static void` | `main(java.lang.String[] args)` Runs the parser from commandline.
`short[][]` | `production_table()` Access to production table.
`short[][]` | `reduce_table()` Access to `reduce_goto` table.
`void` | `setResult(java.lang.Double value)` Sets the result of the evaluation.
`void` | `setSymbols(java.util.HashMap value)` Sets the variable - value relation to use.
`int` | `start_production()` Indicates start production.
`int` | `start_state()` Indicates start state.

Methods inherited from class weka.core.parser.java_cup.runtime.lr_parser
`debug_message, debug_parse, debug_reduce, debug_shift, debug_stack, done_parsing, dump_stack, getScanner, getSymbolFactory, parse, report_error, report_fatal_error, scan, setScanner, syntax_error, unrecovered_syntax_error, user_init`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Parser

    public Parser()

  Default constructor.

### Parser

    public Parser(Scanner s)

  Constructor which sets the default scanner.

### Parser

    public Parser(Scanner s,
                  SymbolFactory sf)

  Constructor which sets the default scanner.

Method Detail

### production_table

    public short[][] production_table()

  Access to production table.

  Specified by:
    `production_table` in class `lr_parser`

### action_table

    public short[][] action_table()

  Access to parse-action table.

  Specified by:
    `action_table` in class `lr_parser`
  See Also:
    `java_cup.runtime.lr_parser#get_action`

### reduce_table

    public short[][] reduce_table()

  Access to `reduce_goto` table.

  Specified by:
    `reduce_table` in class `lr_parser`
  See Also:
    `java_cup.runtime.lr_parser#get_reduce`

### do_action

    public Symbol do_action(int act_num,
                            lr_parser parser,
                            java.util.Stack stack,
                            int top)
                     throws java.lang.Exception

  Invoke a user supplied parse action.

  Specified by:
    `do_action` in class `lr_parser`
  Parameters:
    `act_num` - the internal index of the action to be performed.
    `parser` - the parser object we are acting for.
    `stack` - the parse stack of that object.
    `top` - the index of the top element of the parse stack.
  Throws:
    `java.lang.Exception`

### start_state

    public int start_state()

  Indicates start state.

  Specified by:
    `start_state` in class `lr_parser`

### start_production

    public int start_production()

  Indicates start production.

  Specified by:
    `start_production` in class `lr_parser`

### EOF_sym

    public int EOF_sym()

  `EOF` Symbol index.

  Specified by:
    `EOF_sym` in class `lr_parser`

### error_sym

    public int error_sym()

  `error` Symbol index.

  Specified by:
    `error_sym` in class `lr_parser`

### setSymbols

    public void setSymbols(java.util.HashMap value)

  Sets the variable - value relation to use.

  Parameters:
    `value` - the variable-value relation

### getSymbols

    public java.util.HashMap getSymbols()

  Returns the current variable - value relation in use.

  Returns:
    the variable-value relation

### setResult

    public void setResult(java.lang.Double value)

  Sets the result of the evaluation.

  Parameters:
    `value` - the result

### getResult

    public java.lang.Double getResult()

  Returns the result of the evaluation.

  Returns:
    the result

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Runs the parser from commandline. Either reads lines from System.in or from a provided file (line by line). With `-symbols` as first parameter one can provide predefined variable values. E.g.: `-symbols "Y=10;X=3" "X+Y"`

  Parameters:
    `args` - the commandline arguments
  Throws:
    `java.lang.Exception` - if something goes wrong

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD